Jump to content
Sign in to follow this  
webquadro

Aggiornamento PHP su VPS Aruba

Recommended Posts

Ciao a tutti,

 

partendo dal presupposto che sono un web designer e non un sistemista ma che ormai ho parecchia dimestichezza con la mia VPS e PLESK son qui a chiedervi un parere:

 

A breve verrà rilasciato Wordpress 3.2 che richiede almeno PHP 5.2

La mia versione di PHP è inferiore ed anche plesk è fermo alla release 8.3.0

 

A questo punto qualcuno inorridirà per la cosa ma cercate di capire le mie esigenze di avere prestazioni, tanti domini ed un solo "posto" ad un prezzo contenuto :fagiano:

 

Non credo di poter sopportare lo stress da aggiornamento conscio di non essere in grado di poter valutare e sistemare eventuali danni fatti dall'upgrade.

 

Chiedendo l'intervento di un tecnico che si faccia carico degli update secondo voi quale potrebbe una cifra congrua per un intervento one shot?

 

Grazie in anticipo per i consigli.

Maurizio

Share this post


Link to post
Share on other sites

penso che piu' di un update, farei un'installazione ex-novo su un altro server virtuale, in modo da avere continuita' di servizio oltre ad un fallback non indifferente.

per la cifra non saprei dirti, dipende dalle ore di lavoro e sicuramente un update e' piu' sensibile di una nuova installazione.

 

in ogni caso credo che una partnership con un sistemista (o un'azienda che si preoccupa di gestirti il server) avrebbe un senso maggiore di chiamarlo "on demand"...

 

ciao

Share this post


Link to post
Share on other sites

Non avevo valutato l'ipotesi di un nuovo server (immagino ripristinato tramite backup). Penso che prenderò in seria considerazione la cosa.

 

Per la seconda cosa invece un "contratto di assistenza" è comunque troppo oneroso per me in qualche modo mi so arrangiare. Vedendo i servizi Managed i costi supplementari non sono proprio indifferenti.

 

Grazie mille

Share this post


Link to post
Share on other sites
Non avevo valutato l'ipotesi di un nuovo server (immagino ripristinato tramite backup). Penso che prenderò in seria considerazione la cosa.

io di solito tendo a reinstallare il tutto da zero e a portarmi dietro i file di configurazione, per quanto possibile, soprattutto quando c'e' da "saltare" un po' di versioni in avanti...

 

Per la seconda cosa invece un "contratto di assistenza" è comunque troppo oneroso per me in qualche modo mi so arrangiare. Vedendo i servizi Managed i costi supplementari non sono proprio indifferenti.

si, chiaramente dipende da cosa vuoi ottenere. tieni presente che, comunque, in caso di servizi managed, hai la possibilita' di concentrarti tutto il tempo sullo sviluppo web, senza dover pensare a configurare servizi o preoccuparti di backup etc etc...

 

Grazie mille

figurati :)

Share this post


Link to post
Share on other sites

aggiornare plesk 8.3 su una vps richiede anche l'assicurazione sulla vita :D

 

la VPS non include possibilità di snapshot e ripristino al volo del backup in caso di problemi?

Se sì e ti senti sicuro di tuo puoi fare l'upgrade del solo PHP che non è per nulla rischioso su plesk :)

 

centos in extra ha php 5.2 (o .3 boh).. anche se personalmente consiglio le repo ART:

http://www.atomicorp.com/channels/

Share this post


Link to post
Share on other sites
aggiornare plesk 8.3 su una vps richiede anche l'assicurazione sulla vita :D

 

Me ne sono accorto... :stordita:

 

Si si ho a disposizione 3 backup totali per ripristinare

 

Anche l'idea di aggiornare il solo php mi piace. Era stato il mio primo pensiero ma avevo letto di possibili incompatibilità con Plesk...

Share this post


Link to post
Share on other sites
aggiornare plesk 8.3 su una vps richiede anche l'assicurazione sulla vita :D

 

Il problema è trovare la compagnia che te la stipuli, accettano più facilmente fumatori, depressi, stuntman etc... :D

Share this post


Link to post
Share on other sites

Stessa richiesta di webquadro.... non mi interessa affatto aggiornare Plesk che va benissimo alla versione 8.3 ma ho necessità di aggiornre Php e forse MySql per stare al passo con le nuove versioni di Joomla, Magento, WordPress....

 

Possibile che sia così difficile?

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this  

×